Item Logo
Wms apiApi referenceOutbound api

DN Cancellation

DN Cancellattion API

This article introduces the general DN Cancellation API for easily understanding and applying this API.

Introduction

The DN Cancellation API is used to cancel an order in the WMS. When called, this API ensures that the designated DN associated with an order is invalidated within the system, preventing the order from being processed or shipped. It plays a key role in managing inventory and operations, especially when changes or cancellations are necessary after an order has been created.

API Request

API: PUT /edi/outbound/order/cancel Body Request:


FieldName

Description

DataType

Length

Required

Version

Sample

Root








1

CompanyID

Hard code, assigned by UNIS system admin.

string

15

Yes

1.4

"LT"

2

FacilityID

FacilityID indicates which warehouse UNIS ship from. It should be assigned by UNIS CSR

string

15

Yes

1.4

"889"

3

CustomerID

Hard code, assigned by UNIS accounting dept.

string

15

Yes

1.4

"AUKINT0001"

4

PONo

Your customer's Purchse Order Number, doesn't need to be unique.

string

50

No

1.4

"8957515451-10"

5

ReferenceNo

Reference Number, Unique identifier, indicate an order.

string

50

No

1.4

"LIV2020021804-10"

6

CancelNote

Created From

string

50

No

1.4

"Cancel by consumer"

API Return

It will return a message to indicate whether the cancellation successes or not. For more details, please refer to the Example below.

Example

Request

```json // Url http://preview.logisticsteam.com/shared/bam/v1/public/edi/outbound/order/cancel

// Body { "CompanyID": "LT", "CustomerID": "AUKINT0001", "FacilityID": "889", "PONo": "20073311", "ReferenceNo": "liv202001159-1", "CancelNote": "Cancel for testing" }

Response

json // Success return { "success": true }

json // Failed return { "error": "Not found order" }